Hyperic HQ Plugin API v. 2.5.dev

## net.hyperic.hq.product
Class ConfigFileTrackPlugin

    java.lang.Object
      net.hyperic.hq.product.GenericPlugin
          net.hyperic.hq.product.ConfigTrackPlugin
              net.hyperic.hq.product.ConfigFileTrackPlugin

public class ConfigFileTrackPlugin
extends ConfigTrackPlugin

Field Summary
`protected static org.apache.commons.logging.Log` `log`
`static java.lang.String` `PROP_FILES_PLATFORM`
`static java.lang.String` `PROP_FILES_SERVER`
`static java.lang.String` `PROP_FILES_SERVICE`
`protected net.hyperic.sigar.FileWatcher` `watcher`

Fields inherited from class net.hyperic.hq.product.GenericPlugin
`config, FILE_DELIM, FILE_DELIM_ESC, PROP_NAME`

Constructor Summary
`ConfigFileTrackPlugin()`

Method Summary
`void` `configure(ConfigResponse config)`
`ConfigSchema` `getConfigSchema(TypeInfo info, ConfigResponse config)` The ConfigSchema used to render config options for this resource in the UI and client shell.
`protected java.lang.String` `getDefaultConfigFile(TypeInfo info, ConfigResponse config)`
`java.lang.String[]` `getFiles(ConfigResponse config)`
`protected ConfigOption` `getFilesOption(TypeInfo info, ConfigResponse config)`
`protected net.hyperic.sigar.FileWatcher` `getFileWatcher()`
`void` `shutdown()` Called when the server or agent is shutdown.

Methods inherited from class net.hyperic.hq.product.ConfigTrackPlugin
`getEnableOption, getManager, init, isEnabled`

Methods inherited from class net.hyperic.hq.product.GenericPlugin

`getAbsoluteFiles, getConfig, getConfig, getCustomPropertiesSchema, getCustomPropertiesSchema, getCustomPropertiesSchema, getDefaultInstallPath, getLog, getLogName, getName, getPlatformName, getPluginClassName, getProductPlugin, getProperties, getProperty, getTypeInfo, getTypeNameProperty, getTypeNameProperty, getTypeProperty, getTypeProperty, getTypeProperty, isWin32, openResource, setName, setTypeInfo, toFileList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_FILES_PLATFORM

    public static final java.lang.String PROP_FILES_PLATFORM

### PROP_FILES_SERVER

    public static final java.lang.String PROP_FILES_SERVER

### PROP_FILES_SERVICE

    public static final java.lang.String PROP_FILES_SERVICE

### log

    protected static org.apache.commons.logging.Log log

### watcher

    protected net.hyperic.sigar.FileWatcher watcher

Constructor Detail

### ConfigFileTrackPlugin

    public ConfigFileTrackPlugin()

Method Detail

### getFileWatcher

    protected net.hyperic.sigar.FileWatcher getFileWatcher()

### getDefaultConfigFile

    protected java.lang.String getDefaultConfigFile(TypeInfo info,
                                                    ConfigResponse config)

### getFilesOption

    protected ConfigOption getFilesOption(TypeInfo info,
                                          ConfigResponse config)

### getConfigSchema

    public ConfigSchema getConfigSchema(TypeInfo info,
                                        ConfigResponse config)

  Description copied from class: `GenericPlugin`
  The ConfigSchema used to render config options for this resource in the UI and client shell.

  Overrides:
    `getConfigSchema` in class `ConfigTrackPlugin`

### getFiles

    public java.lang.String[] getFiles(ConfigResponse config)

### configure

    public void configure(ConfigResponse config)
                   throws PluginException

  Overrides:
    `configure` in class `GenericPlugin`
  Throws:
    `PluginException`

### shutdown

    public void shutdown()
                  throws PluginException

  Description copied from class: `GenericPlugin`
  Called when the server or agent is shutdown. Use this method to cleanup any resources that were created during the init() method.

  Overrides:
    `shutdown` in class `GenericPlugin`
  Throws:
    `PluginException`

Hyperic HQ Plugin API v. 2.5.dev

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.